//
//  ClubChatBuddyTableCellViewController.m
//  ClubChat
//
//  Created by 이규주 on 09. 07. 03.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "ClubChatBuddyTableCellViewController.h"
#import "ClubChatData.h"

@implementation ClubChatBuddyTableCellViewController

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

/*
 - (void)viewWillAppear:(BOOL)animated {
 [super viewWillAppear:animated];
 }
 */
/*
 - (void)viewDidAppear:(BOOL)animated {
 [super viewDidAppear:animated];
 }
 */
/*
 - (void)viewWillDisappear:(BOOL)animated {
 [super viewWillDisappear:animated];
 }
 */
- (void)viewDidDisappear:(BOOL)animated {
	[super viewDidDisappear:animated];
	
	[_textField resignFirstResponder];
}

//쪽지보내기..
///쪽지|받을사람대화명|보낼메세지| ::
- (BOOL)textFieldShouldReturn:(UITextField *)textField{
	
	NSString *tmpData=[textField.text stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceAndNewlineCharacterSet]];
	
	if(![tmpData isEqualToString:@""]){
		NSMutableArray *array=[[NSMutableArray alloc] init];
		[array addObject:_chatter];
		[array addObject:tmpData];

		ClubChatData *data=[[ClubChatData alloc] initWithHeader:@"/쪽지" andWithArray:array];
		[[NSNotificationCenter defaultCenter] postNotificationName:@"sendMsg" object:data];
		 
		[array release];
	}
	
	//보낸쪽지내용을 초기화시킨다..
	[textField setText:@""];
	[textField resignFirstResponder];
	
	return YES;
}

-(void)setChatter:(NSString *)chatter{
	if(_chatter){
		[_chatter release];
	}
	
	_chatter=[chatter copy];
	[label setText:_chatter];
}
- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[_textField	release];
	[label		release];
	[_chatter	release];
    [super		dealloc];
}


@end
