//
//  ClubChatData.m
//  ClubChat
//
//  Created by 이규주 on 09. 05. 06.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "ClubChatData.h"


@implementation ClubChatData

@synthesize header;
@synthesize array;
@synthesize msg;

-(id)initWithHeader:(NSString *)pHeader andWithArray:(NSArray *)pArray{
	[super init];
	
	header=[pHeader retain];
	array=[pArray retain];
	msg=@"";
	
	for(NSString * data in pArray){
		
		msg=[msg stringByAppendingString:@"|"];
		msg=[msg stringByAppendingString:data];
	}
	
	return self;
}
-(id)initWithHeader:(NSString *)pHeader andWithMsg:(NSString *)pMsg{
	[super init];
	
	header=[pHeader retain];
	msg=[pMsg retain];
	
	NSMutableArray *tmpArray1=[[NSMutableArray alloc] initWithArray:[pMsg componentsSeparatedByString:@"|"]];
	NSMutableArray *tmpArray2=[[NSMutableArray alloc] init];
	
	for(NSString * data in tmpArray1){
		if(![data isEqualToString:@""]){
			[tmpArray2 addObject:data];
		}
	}
	[tmpArray1 release];
	array=tmpArray2;
	
	return self;
}
- (void)dealloc {
    [header release];
	[array release];
	[msg release];
    [super dealloc];
}
@end
