//
//  ClubChatMainChatRoomListViewController.m
//  ClubChat
//
//  Created by 이규주 on 09. 05. 05.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "ClubChatMainChatRoomListViewController.h"
#import "ClubChatData.h"
#import "ClubChatMainChatRoomData.h"

@interface ClubChatMainChatRoomListViewController(PrivateMethods)
-(void) enterChatRoom:(NSString *)roomNumber withPassword:(NSString *)password;
@end

@implementation ClubChatMainChatRoomListViewController

/*
- (id)initWithStyle:(UITableViewStyle)style {
    // Override initWithStyle: if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
    if (self = [super initWithStyle:style]) {
    }
    return self;
}
*/

- (void)viewDidLoad {
    [super viewDidLoad];

    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
	chatRoomData=[[NSMutableArray alloc] init];
	
	//이상하다.ㅡ.ㅡ);; 왜 ;; xib가 스테이터스바만큼 떨어져서..;;
	CGRect rect=self.view.frame;
	self.view.frame=CGRectMake(rect.origin.x,0.0,rect.size.width,rect.size.height);
}

//받은메세지처리..
-(void)receiveMsg:(NSNotification *)notification{
	ClubChatData *data=(ClubChatData *)notification.object;
	
	if([data.header isEqualToString:@"/방목록"]){
		[chatRoomData removeAllObjects];
		
		ClubChatMainChatRoomData *roomData;
		
		int count=data.array.count/5;
		
		int j=0;
		NSString *roomNumber;
		NSString *roomName;
		NSString *roomPassword;
		NSString *activeChatterCount;
		NSString *maxChatterCount;
		
		for(int i=0;i<count;i++){
			roomNumber=[data.array objectAtIndex:j++];
			roomName=[data.array objectAtIndex:j++];
			roomPassword=[data.array objectAtIndex:j++];
			activeChatterCount=[data.array objectAtIndex:j++];
			maxChatterCount=[data.array objectAtIndex:j++];
			
			roomData=[[ClubChatMainChatRoomData alloc] initWithChatRoomNumber:roomNumber
															 withChatRoomName:roomName 
														 withChatRoomPassword:roomPassword
											   withChatRoomActiveChatterCount:activeChatterCount 
												  withChatRoomMaxChatterCount:maxChatterCount];
			
			[chatRoomData addObject:roomData];
			[roomData release];
		}
		//테이블데이타 리로드..
		[self.tableView reloadData];
	}else if([data.header isEqualToString:@"/시스템"]){	
		
		UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"ClubChat" 
														message:[data.array objectAtIndex:0]
													   delegate:nil 
											  cancelButtonTitle:@"OK" 
											  otherButtonTitles: nil];
		[alert show];	
		[alert release];
	}
}
/*
- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}
*/
/*
- (void)viewWillDisappear:(BOOL)animated {
	[super viewWillDisappear:animated];
}
*/
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
	
	//remove를 한번쓴다..
	//버그.. 두번 addObjserver가 되서 경고창이 두번뜰때가 있다..
	[[NSNotificationCenter defaultCenter] removeObserver:self];
	[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(receiveMsg:) name:@"receiveMsg" object:nil];
}

- (void)viewDidDisappear:(BOOL)animated {
	[super viewDidDisappear:animated];
	[[NSNotificationCenter defaultCenter] removeObserver:self];
	
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


#pragma mark Table view methods

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    //섹션이 나눠져있지않으므로 전체카운트를 그대로 넘겨도 무방하다..
	return [chatRoomData count];
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
	
	static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
	
	UILabel *subject;
	UILabel *subinfo;
	
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:CellIdentifier] autorelease];
		
		subject=[[UILabel alloc] initWithFrame:CGRectMake(35.0,5.0,260.0,20.0)];
		subinfo=[[UILabel alloc] initWithFrame:CGRectMake(35.0,25.0,260.0,20.0)];
		[subject setFont:[UIFont systemFontOfSize:13.0f]];
		[subinfo setFont:[UIFont systemFontOfSize:10.0f]];
		[subinfo setTextColor:[UIColor grayColor]];
		
		[subject setTag:1];
		[subinfo setTag:2];
		[cell.contentView addSubview:subject];
		[cell.contentView addSubview:subinfo];
	}
    // Set up the cell
	
	ClubChatMainChatRoomData *data=[chatRoomData objectAtIndex:indexPath.row];
	UIFont *font=[UIFont systemFontOfSize:12.0f];
	cell.font=font;
	cell.accessoryType=UITableViewCellAccessoryDisclosureIndicator;
	
	subject=(UILabel *)[cell.contentView viewWithTag:1];
	subinfo=(UILabel *)[cell.contentView viewWithTag:2];
	[subject setText:data.chatRoomName];
	if([data.chatRoomMaxChatterCount isEqualToString:@"0"]){
		[subinfo setText:[NSString stringWithFormat:@"%@명 / 무제한",data.chatRoomActiveChatterCount]];
	}else{
		[subinfo setText:[NSString stringWithFormat:@"%@명 / %@명",data.chatRoomActiveChatterCount,data.chatRoomMaxChatterCount]];
	}
	
	if([data isChatRoomPassword]){
		cell.image=[UIImage imageNamed:@"icon_private.gif"];
	}else{
		cell.image=[UIImage imageNamed:@"icon_public.gif"];
	}
	
    return cell;
}

NSString *chatRoomNumber;
UIAlertView *alert;
UITextField *field;
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    // Navigation logic may go here. Create and push another view controller.
	// AnotherViewController *anotherViewController = [[AnotherViewController alloc] initWithNibName:@"AnotherView" bundle:nil];
	// [self.navigationController pushViewController:anotherViewController];
	// [anotherViewController release];
	
	ClubChatMainChatRoomData *data=[chatRoomData objectAtIndex:indexPath.row];
	chatRoomNumber=data.chatRoomNumber;
	
	if([data isChatRoomPassword]){
		alert = [[UIAlertView alloc] initWithTitle:@"비밀번호를 입력해 주십시요." 
														message:@"ㅡ.ㅡ) 쳇...궁시렁궁시렁..."
													   delegate:self 
											  cancelButtonTitle:@"취소" 
											  otherButtonTitles:@"입장",nil];
		
		field= [[UITextField alloc] initWithFrame:CGRectMake(12.0, 45.0, 260.0, 25.0)];
		[field setBackgroundColor:[UIColor whiteColor]];
		[field setSecureTextEntry:YES];
		[field setDelegate:self];
		[field setReturnKeyType:UIReturnKeyDone];
		
		[alert addSubview:field];
		[alert show];
		[alert release];
		
		[field release];
	}else{
		[self enterChatRoom:chatRoomNumber withPassword:@"없음"];
	}
}

- (void)textFieldDidBeginEditing:(UITextField *)textField{
	//얼럿창을 올라온 가상키보드에 맞게 올려준다.
	[UIView beginAnimations:nil context:nil];
	[UIView setAnimationDelegate:self]; 
	[UIView setAnimationDuration:0.5];
	
	CGRect rect=[alert frame];
	[alert setFrame:CGRectMake(rect.origin.x,rect.origin.y-100,rect.size.width,rect.size.height)];
	
	[UIView commitAnimations];
}
- (BOOL)textFieldShouldReturn:(UITextField *)textField{
	//얼럿창을 다시 원위치시킨다..
	[UIView beginAnimations:nil context:nil];
	[UIView setAnimationDelegate:self]; 
	[UIView setAnimationDuration:0.5];
	
	[textField resignFirstResponder];
	
	CGRect rect=[alert frame];
	[alert setFrame:CGRectMake(rect.origin.x,rect.origin.y+100,rect.size.width,rect.size.height)];
	
	[UIView commitAnimations];
	
	return YES;
}
- (void)alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex{
	
	[field resignFirstResponder];
	
	if(buttonIndex==1){
		NSArray *views=alertView.subviews;
		
		for(UIView *view in views){
			if([view isKindOfClass:[UITextField class]]){
				UITextField *passwordField=(UITextField *)view;
				
				[self enterChatRoom:chatRoomNumber withPassword:passwordField.text];
				break;
			}
		}
	}
}
//입장|대화방번호|패스워드| ::
-(void) enterChatRoom:(NSString *)roomNumber withPassword:(NSString *)password{
	
	if(password){
		password=[password stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceAndNewlineCharacterSet]];
	}else{
		password=@" "; //그냥 "" 로 처리하면 이상한에러가 있는데.....;;
	}
	
	NSMutableArray *array=[[NSMutableArray alloc] init];
	[array addObject:roomNumber];
	[array addObject:password];
	
	ClubChatData *data=[[ClubChatData alloc] initWithHeader:@"/입장" andWithArray:array];
	[[NSNotificationCenter defaultCenter] postNotificationName:@"sendMsg" object:data];
	
	[array release];
}
/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/


/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:YES];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/


/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath {
}
*/


/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/


- (void)dealloc {
	[chatRoomData release];
    [super dealloc];
}


@end

